@import '../../scss/variables';
@import '../../scss/mixins';

.SelectLanguageSection {
  .ContactSection {
    justify-content: flex-end;
    display: flex;
  }

  .LanguageSection {
    margin-top: $select-language-margin-top;

    @include exclude-desktop() {
      margin-left: 0;
    }

    .Languages {
      display: flex;
      justify-content: space-between;
      align-items: flex-end;

      color: $select-language-color;
      padding-top: $select-language-languages-padding-top;

      @include exclude-desktop() {
        flex-direction: column;
        width: 100%;
        align-items: center;
        padding-top: 0;
      }

      button {
        @include exclude-desktop() {
          margin-left: 0;
          margin-top: 1.5rem;
        }
      }
    }
  }
}

.SelectedLanguage {
  color: $select-language-selected-color;
  border: $select-language-selected-border;
  filter: drop-shadow(0px 0px 10px rgba(255, 255, 255, 0.25));

  span {
    display: block;
    position: relative;
    top: $select-language-selected-top;
  }
}

.Language {
  color: $select-language-color;
  border: $select-language-border;
}

.NextButtonRight {
  position: relative;
  z-index: 5;
}

.LanguagesContainer {
  display: flex;
  flex-wrap: wrap;
  width: 100%;

  .SelectedLanguage,
  .Language {
    margin-right: $select-language-margin-right;

    @include exclude-desktop() {
      margin-bottom: $select-language-mobile-margin-bottom;
      width: $select-language-mobile-item-width;
      height: $select-language-mobile-item-height;
      margin-right: 0;
    }

    &:last-child {
      margin-right: 0;
      margin-bottom: 0;
    }
  }
}
